apt: pkgSimulate Class Reference

apt 3.1.4 commandline package manager

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
pkgSimulate Class Reference
Inheritance diagram for pkgSimulate:

## Classes
class | Policy

## Public Member Functions
bool | Go (APT::Progress::PackageManager *progress) override
| pkgSimulate (pkgDepCache *Cache)
Public Member Functions inherited from pkgPackageManager
bool | GetArchives (pkgAcquire *Owner, pkgSourceList *Sources, pkgRecords *Recs)
OrderResult | DoInstall (APT::Progress::PackageManager *progress)
OrderResult | DoInstallPreFork ()
OrderResult | DoInstallPostFork (APT::Progress::PackageManager *progress)
bool | FixMissing ()
std::set< std::string > | GetDisappearedPackages ()
| returns all packages dpkg let disappear
| pkgPackageManager (pkgDepCache *Cache)

## Protected Member Functions
bool | Install (PkgIterator Pkg, std::string File) override
bool | Configure (PkgIterator Pkg) override
bool | Remove (PkgIterator Pkg, bool Purge) override
Protected Member Functions inherited from pkgPackageManager
void | ImmediateAdd (PkgIterator P, bool UseInstallVer, unsigned const int &Depth=0)
virtual OrderResult | OrderInstall ()
bool | CheckRConflicts (PkgIterator Pkg, DepIterator Dep, const char *Ver)
bool | CheckRBreaks (PkgIterator const &Pkg, DepIterator Dep, const char *const Ver)
bool | CreateOrderList ()
bool | DepAlwaysTrue (DepIterator D) APT_PURE
bool | ConfigureAll ()
bool | SmartConfigure (PkgIterator Pkg, int Depth)
bool | SmartUnPack (PkgIterator Pkg, bool Immediate=true, int Depth=0)
bool | SmartRemove (PkgIterator Pkg)
bool | EarlyRemove (PkgIterator Pkg, DepIterator const *Dep)
virtual void | Reset ()

## Protected Attributes
std::unique_ptr< unsigned char[]> | Flags
Policy | iPolicy
pkgDepCache | Sim
pkgDepCache::ActionGroup | group
Protected Attributes inherited from pkgPackageManager
std::unique_ptr< std::string[]> | FileNames
pkgDepCache & | Cache
std::unique_ptr< pkgOrderList > | List
bool | Debug
bool | NoImmConfigure
bool | ImmConfigureAll
std::set< std::string > | disappearedPkgs
| saves packages dpkg let disappear
OrderResult | Res

## Additional Inherited Members
Public Types inherited from pkgPackageManager
enum | OrderResult { Completed , Failed , Incomplete }
Static Public Attributes inherited from pkgPackageManager
static bool | SigINTStop = false
Protected Types inherited from pkgCache::Namespace
typedef pkgCache::GrpIterator | GrpIterator
typedef pkgCache::PkgIterator | PkgIterator
typedef pkgCache::VerIterator | VerIterator
typedef pkgCache::SrcVerIterator | SrcVerIterator
typedef pkgCache::DescIterator | DescIterator
typedef pkgCache::DepIterator | DepIterator
typedef pkgCache::PrvIterator | PrvIterator
typedef pkgCache::RlsFileIterator | RlsFileIterator
typedef pkgCache::PkgFileIterator | PkgFileIterator
typedef pkgCache::VerFileIterator | VerFileIterator
typedef pkgCache::Version | Version
typedef pkgCache::Description | Description
typedef pkgCache::Package | Package
typedef pkgCache::Header | Header
typedef pkgCache::Dep | Dep
typedef pkgCache::Flag | Flag

## Member Function Documentation

## ◆ Configure()

bool Configure | ( | PkgIterator | Pkg | ) |
| overrideprotectedvirtual

Reimplemented from pkgPackageManager.

## ◆ Go()

bool Go | ( | APT::Progress::PackageManager * | progress | ) |
| overridevirtual

Reimplemented from pkgPackageManager.

## ◆ Install()

bool Install | ( | PkgIterator | Pkg,
|  | std::string | File )
| overrideprotectedvirtual

Reimplemented from pkgPackageManager.

## ◆ Remove()

bool Remove | ( | PkgIterator | Pkg,
|  | bool | Purge )
| overrideprotectedvirtual

Reimplemented from pkgPackageManager.

The documentation for this class was generated from the following files:

- apt-pkg/algorithms.h
- apt-pkg/algorithms.cc